import request from '@/utils/request'

//查询数据集
export function list(query) {
  return request({
    url: '/ai/annotationTask/list/all',
    method: 'get',
    params: query
  })
}
export function creation(query) {
  return request({
    url: '/ai/annotationTask/list/creation',
    method: 'get',
    params: query
  })
}

export function participant(query) {
  return request({
    url: '/ai/annotationTask/list/participant',
    method: 'get',
    params: query
  })
}
export function agreement(query) {
  return request({
    url: '/ai/annotationTask/audit',
    method: 'post',
    data: query
  })
}

//创建数据集
export function add(data) {
  return request({
    url: '/ai/annotationTask/create',
    method: 'post',
    data: data
  })
}
// 获取标注任务文件详情
export function getAnnotationDetails(data) {
  return request({
    url: '/ai/annotationTask/create',
    method: 'post',
    data: data
  })
}

export function getMyNoAnnotatedTask(data) {
  return request({
    url: '/ai/annotationTask/getMyNoAnnotatedTask',
    method: 'get',
    params: data
  })
}

export function getMyAnnotationFiles(annotationStatus,taskId) {
  return request({
    url: '/ai/annotationTask/getMyAnnotationFiles/'+annotationStatus+'/'+taskId,
    method: 'get',
  })
}

export function manualAnnotate(data) {
  return request({
    url: '/ai/annotationTask/manualAnnotate',
    method: 'post',
    data:data
  })
}

export function getLatestDatasetVersion(datasetId) {
  return request({
    url: '/ai/annotationTask/getLatestDatasetVersion/'+datasetId,
    method: 'get'
  })
}





